## org.apache.lucene.search
Class SpanQueryFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.SpanFilter
              org.apache.lucene.search.SpanQueryFilter

All Implemented Interfaces:
  Serializable

    public class SpanQueryFilter

extends SpanFilter

Constrains search results to only match those which also match a provided query. Also provides position information about where each document matches at the cost of extra space compared with the QueryWrapperFilter. There is an added cost to this above what is stored in a `QueryWrapperFilter`. Namely, the position information for each matching document is stored.

This filter does not cache. See the `CachingSpanFilter` for a wrapper that caches.

Version:
  $Id:$
See Also:
  Serialized Form

Field Summary
`protected SpanQuery` `query`

Constructor Summary
`protected` `SpanQueryFilter()`
`` `SpanQueryFilter(SpanQuery query)` Constructs a filter which only matches documents matching `query`.

Method Summary
`BitSet` `bits(IndexReader reader)` Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.
`SpanFilterResult` `bitSpans(IndexReader reader)` Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.
`boolean` `equals(Object o)`
`SpanQuery` `getQuery()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### query

    protected SpanQuery query

Constructor Detail

### SpanQueryFilter

    protected SpanQueryFilter()

### SpanQueryFilter

    public SpanQueryFilter(SpanQuery query)

  Constructs a filter which only matches documents matching `query`.

  Parameters:
    `query` - The `SpanQuery` to use as the basis for the Filter.

Method Detail

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Description copied from class: `Filter`
  Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.

  Specified by:
    `bits` in class `Filter`
  Throws:
    `IOException`

### bitSpans

    public SpanFilterResult bitSpans(IndexReader reader)
                              throws IOException

  Description copied from class: `SpanFilter`
  Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.

  Specified by:
    `bitSpans` in class `SpanFilter`
  Parameters:
    `reader` - The `IndexReader` to load position and bitset information from
  Returns:
    A `SpanFilterResult`
  Throws:
    `IOException` - if there was an issue accessing the necessary information

### getQuery

    public SpanQuery getQuery()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.